/*
 Theme Name:   Globaleduca Child Theme for Hello Elementor
 Template:     hello-elementor
 Description: Tema hijo para Hello Elementor
 Author: Raúl Flores - Globaleduca
 Version:      1.0
*/

.usuario-no-logueado .botones-desactivados {
    display: none !important; /* Oculta el botón de mi cuenta si el usuario no está logueado */
}
.wp-child-theme-globaleduca-child-theme .woocommerce-info {
    border-top-color: #005F00 !important;
}

.wp-child-theme-globaleduca-child-theme .woocommerce-info::before {
    color: #005F00 !important;
}


.payment_box.payment_method_stripe fieldset:not([id]) {
    display: none;
}

#mensaje-checkout {
    margin-top: 15px ;
    font-weight: bold ;
    padding-top: 10px ;
    border-bottom: 3px solid #005F00;
    padding-bottom: 7px;
    text-align: center;
}

/*Mensajes y alertas woocommerce*/

.woocommerce-message, .woocommerce-info{
	color:#005f00;
	font-family: var(--e-global-typography-primary-font-family), Sans-serif;
}

/*Botones tienda*/

a.button.wc-forward, a.button.wc-backward {
    color: white !important;
    font-family: var(--e-global-typography-primary-font-family), Sans-serif;
    background-color: #005f00;
}

a.button.wc-forward:hover, a.button.wc-backward:hover {
    color: white;
    font-family: var(--e-global-typography-primary-font-family), Sans-serif;
    background-color: #b8820b !important;
}

/*Ajustes de carrito y mini-carrito*/

dl.variation{
	font-family: var(--e-global-typography-primary-font-family), Sans-serif;
}

.elementor-menu-cart__product .variation{
	display: block !important;
}

dl.variation ul{
	list-style: none;
	padding-left: 10px;
}

.woocommerce td.product-name .wc-item-meta .wc-item-meta-label, .woocommerce td.product-name .wc-item-meta dt, .woocommerce td.product-name dl.variation .wc-item-meta-label, .woocommerce td.product-name dl.variation dt{
	float: none;
}

.wp-child-theme-globaleduca-child-theme a.boton-guia-tallas,
.woocommerce a.boton-guia-tallas {
    display: inline-flex !important;
    align-items: center;
    margin-bottom: 15px;
    color: #333;
    text-decoration: underline;
    font-weight: 600;
    font-size: 14px;
    cursor: pointer;
    font-family: "Poppins", Sans-serif;
}
.wp-child-theme-globaleduca-child-theme a.boton-guia-tallas span.dashicons,
.woocommerce a.boton-guia-tallas span.dashicons {
    margin-right: 5px;
    color: #555;
}

/* Oculta todos los elementos del header de la galería excepto el botón de cerrar */
.elementor-slideshow__header.elementor-lightbox-prevent-close {
    display: none !important;
}
